package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSkuCombineskuAddSkuDo struct {
	/*
	   商品唯一编码，不可修改     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   商品名称，对商品直观的描述，通常包含了品牌、规格等信息     */
	SkuName *string `json:"sku_name,omitempty" `

	/*
	   主图图片地址，请先调用图片上传接口（http://hema.open.taobao.com/doc?docId=32686&docType=2）上传图片     */
	MainPicUrls *string `json:"main_pic_urls,omitempty" `

	/*
	   门店或DC编码，如果填写了渠道店id，该字段会被忽略     */
	OuCode *string `json:"ou_code,omitempty" `

	/*
	   详情图片地址（多个图片用英文逗号分割）请先调用图片上传接口（http://hema.open.taobao.com/doc?docId=32686&docType=2）上传图片     */
	DetailPicUrls *string `json:"detail_pic_urls,omitempty" `

	/*
	   商品价格（单位元）和字段sale_price_unit_cent两者只能选其一     */
	SalePrice *string `json:"sale_price,omitempty" `

	/*
	   条码（支持一品多码，多个条码以英文逗号分隔）     */
	Barcodes *string `json:"barcodes,omitempty" `

	/*
	   是否app可售（1可售，0不可售，默认0） defalutValue:0    */
	AllowAppSale *int64 `json:"allow_app_sale,omitempty" `

	/*
	   线上生效开始时间     */
	AppEffectBeginTime *util.LocalTime `json:"app_effect_begin_time,omitempty" `

	/*
	   线上生效过期时间     */
	AppEffectEndTime *util.LocalTime `json:"app_effect_end_time,omitempty" `

	/*
	   子商品信息     */
	SubSkus *[]AlibabaWdkSkuCombineskuAddSubSkuDo `json:"sub_skus,omitempty" `

	/*
	   商家类目编码     */
	CategoryCode *string `json:"category_code,omitempty" `

	/*
	   盒马类目编码     */
	HmCategoryCode *string `json:"hm_category_code,omitempty" `

	/*
	   销售规格     */
	SaleSpec *string `json:"sale_spec,omitempty" `

	/*
	   渠道店id     */
	ShopId *string `json:"shop_id,omitempty" `

	/*
	   商品价格（单位分）和字段sale_price两者只能选其一     */
	SalePriceUnitCent *int64 `json:"sale_price_unit_cent,omitempty" `

	/*
	   富文本文描     */
	RichText *string `json:"rich_text,omitempty" `

	/*
	   商品短标题     */
	ShortTitle *string `json:"short_title,omitempty" `

	/*
	   商品卖点；商品副标题，显示在APP商品详情页的标题下方。如可口可乐商品的副标题可以是“夏日必备 解暑神器”。不超过80个字符     */
	SubTitle *string `json:"sub_title,omitempty" `

	/*
	   门店来控制本门店是否在app上让该商品可见，1可见 0不可见     */
	OnlineSaleFlag *int64 `json:"online_sale_flag,omitempty" `
}

func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetSkuCode(v string) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetSkuName(v string) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.SkuName = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetMainPicUrls(v string) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.MainPicUrls = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetOuCode(v string) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.OuCode = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetDetailPicUrls(v string) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.DetailPicUrls = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetSalePrice(v string) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.SalePrice = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetBarcodes(v string) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.Barcodes = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetAllowAppSale(v int64) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.AllowAppSale = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetAppEffectBeginTime(v util.LocalTime) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.AppEffectBeginTime = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetAppEffectEndTime(v util.LocalTime) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.AppEffectEndTime = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetSubSkus(v []AlibabaWdkSkuCombineskuAddSubSkuDo) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.SubSkus = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetCategoryCode(v string) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.CategoryCode = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetHmCategoryCode(v string) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.HmCategoryCode = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetSaleSpec(v string) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.SaleSpec = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetShopId(v string) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.ShopId = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetSalePriceUnitCent(v int64) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.SalePriceUnitCent = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetRichText(v string) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.RichText = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetShortTitle(v string) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.ShortTitle = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetSubTitle(v string) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.SubTitle = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuAddSkuDo) SetOnlineSaleFlag(v int64) *AlibabaWdkSkuCombineskuAddSkuDo {
	s.OnlineSaleFlag = &v
	return s
}
